#
# spec file for package audex
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           audex
Version:        0.79
Release:        5.2
Summary:        KDE4 based CDDA extraction tool
License:        GPL-3.0+
Group:          Productivity/Multimedia/CD/Grabbers
Url:            http://kde.maniatek.com/audex/
Source0:        http://kde.maniatek.com/audex/files/%{name}-%{version}.tar.xz
BuildRequires:  libkcddb4-devel
BuildRequires:  libkcompactdisc4-devel
BuildRequires:  libkde4-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRequires:  cdparanoia-devel
BuildRequires:  xz
%kde4_runtime_requires
Recommends:     python-eyeD3
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Audex is an audio grabber tool for CD-ROM drives based on KDE 4.

%lang_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make_jobs

%install
%kde4_makeinstall -C build

%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Qt KDE AudioVideo Audio CD
%endif

%find_lang %{name}

%kde_post_install

%files
%defattr(-,root,root,-)
%doc LICENCE README.md
%{_kde4_applicationsdir}/audex.desktop
%{_kde4_appsdir}/audex/
%dir %{_kde4_appsdir}/solid
%dir %{_kde4_appsdir}/solid/actions
%{_kde4_appsdir}/solid/actions/audex-rip-audiocd.desktop
%{_kde4_bindir}/audex
%{_kde4_iconsdir}/hicolor/*/apps/audex.png

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Mon Nov 17 2014 ecsos@opensuse.org
- update to 0.79
  * This is only a bugfix release.
* Sat Feb 22 2014 ecsos@opensuse.org
- update to 0.78
  * Fixed google cover search
  * Embed cover in FLAC files
  * Minor bugfixes, code modifications and typo fixes...
* Sat Feb 16 2013 asterios.dramis@gmail.com
- Update to 0.77b1:
  * Removed store discid file feature as this is useless considering info file
    feature
  * Integrated new playlist module (relative filenames in playlists and
    playlist merging)
  * Minor bugfixes, code modifications and typo fixes...
  From 0.76b2:
  * Some minor code fixes
  * Cue sheet writer now follows the file format specs (not using OGG and FLAC
    anymore)
  * Some minor bugfixes...
- Removed require_cmake_2.6.4.patch (not needed anymore).
- Removed install_translations.diff (fixed upstream).
* Mon Jan 21 2013 ctrippe@opensuse.org
- Update to 0.76b1
  * Fix google cover fetcher (bnc#799499)
  * Fix compile issues with GCC 4.7 (drop audex-gcc47.patch)
- Added patch to install translations
* Mon Apr 30 2012 idonmez@suse.com
- Fix compilation with gcc 4.7
* Tue Feb 15 2011 asterios.dramis@gmail.com
- Updated to 0.74b1
  * New feature: Simple cue sheet support (but does not detect pregaps yet)
  * New feature: Single file rip
  * New feature: Adds MD5 to hashlist options
  * Fixes some issues with cover browser
  * Uses external image viewer to show cover
  * Bugfix in Ogg Vorbis settings widget
  * Ogg Vorbis setting widget now allows to set fractional quality values
  * Bugfix in commandline for FAAC
  * 2 digits track number option for filenames
  * New parameters for file name scheme variables: left (see
    kde.maniatek.com/audex for full documentation)
  * New helptext for scheme wizard dialogs
  * Pattern of playlists, hashlists and cover files now need a $suffix variable
  * Some more small bugfixes...
- Spec file updates
  * Changed License: to GPLv3+.
  * Minor fixes.
  * Fix Categories: entry of audex.desktop file.
* Sun Jan  9 2011 asterios.dramis@gmail.com
- Updated to 0.73b1
  * New feature: Use eyeD3 for MP3 tagging if available
  * Bugfix: Crash on cancel
  * Fixes some compile issues with GCC 4.5
  * Some cosmetic fixes
  * English language fix: Uses the word "folder" instead of "directory"
  * Uses KDiskFreeSpaceInfo for calculating free space on a device
  * New feature: Uses mimetype icons for profiles and allows user to change these
  * Settings in profile editing dialog now grouped with tabs
  * Fixes a crash when adding a new profile via the UI
  * New feature: New simple view of the ripping progress dialog
  * Adds more detail to CDDB errors
  * Some small bugfixes... (thx to all reporters!)
- Spec file updates
  - Added a audex-lang package.
  - Changes after spec-cleaner run.
  - Updates in BuildRequires: and %%install sections.
  - Added python-eyeD3 to Recommends: entry.
- Removed the 02_useless_include.diff and audex-0.72b1-compilation_fixes.patch
  patches (fixed upstream).
- Added a patch to make the package use cmake-2.6.4 (fixes build in openSUSE
  11.2).
* Thu Jul 15 2010 bitshuffler@opensuse.org
- Added 02_useless_include.diff
- Added audex-0.72b1-compilation_fixes.patch
* Wed Sep 30 2009 tittiatcoke@gmail.com
- Updated to 0.72b1
  * Cover fetch from google.
  * Minor bugfixes.
* Sun Aug 23 2009 tittiatcoke@gmail.com
- Updated to 0.71b5
  + Updated header information (all GPLv3+ now)
  + Slightly improved czech translation (Pavel Fric)
  + Slightly improved german translation (this is already not perfect!)
  + Minor bugfix.
* Tue Jun 23 2009 tittiatcoke@gmail.com
- Updated to 0.71b3
  + Added translations (Dutch & Portugees)
  + Bugfixes (slider, Update profile loaded from external file)
* Fri May 29 2009 bitshuffler@opensuse.org
- Updated to 0.71b2
* Fri May  8 2009 bitshuffler@opensuse.org
- Updated to 0.70b1
* Sun Mar 29 2009 bitshuffler@opensuse.org
- Updated to 0.62b
* Thu Oct 30 2008 buschmann@huessenbergnetz.de
- fixing file list (directories not owned by a package)
* Mon Apr 14 2008 cgoncalves@opensuse.org
- updated to version 0.6a:
  * New XML-based scheme definitions.
  * Assistant will help you creating profiles.
  * Cover fetching from amazon works again (rewritten).
  * Store SFV files for the music files.
  * Store text files with predefined information.
  * A lot of Bugfixes...
* Mon Mar 17 2008 cgoncalves@opensuse.org
- initial release (version 0.5a)
